
def czytaj_dana_float(tekst: str, minimum: float = 1.0, maximum: float = 20.0 )-> float:
    """
    Docstring for czytaj_dana_float - czyli krótka dokumentacja funkcji
    
    :param tekst: Description - tu ma być tekst dla usera
    :type tekst: str
    :param minimum: Description - minimalna wartość
    :type minimum: float
    :param maximum: Description
    :type maximum: float
    :return: wczytana z klawiatyru wartość typu float
    :rtype: float
    """
    tmp_value = None
    ret_value = None
    value_ok = False
    print(f"{minimum=}")
    while not value_ok:
        tmp_value = input(f"{tekst} - pamiętaj o {minimum=} i {maximum=}: ")
        try:
            ret_value = float(tmp_value)
            value_ok = True
            print("Super!")
            if ret_value < minimum:
                ret_value = minimum
            if ret_value > maximum:
                ret_value = maximum
        except:
            print(f"Wrowadziłeś błędnie: {tmp_value} - spróbuj ponownie...")

    return ret_value



wys_p = czytaj_dana_float("Podaj wysokość", 3)
pre_p = czytaj_dana_float()

print(f"{wys_p=} {pre_p=}")   fgsdfgsdfgsdfgsdfgdsfgfd

# zadanie:
zdefiniuj funkcję, która pobiera wartość netto, stawkę vat (domyślnie 5), +

jeśli netto to nie float lub int, zwróć None +

sprawdza, czy podana stawka mieści się w (0,5,8,23), jeśli nie, to 23 ma być +

jeśli netto <=0, to zwróć False, False +



oblicz wartość vat i brutto, zwróć obie wartości jednym return